Tds8Test (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class Tds8Test

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.Tds8Test

-     public class Tds8Test
      extends DatabaseTestCase

  Test case to illustrate use of TDS 8 support
  Version:
    1.0

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tds8Test(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static Test` | `suite()`
    `void` | `testBigInt1()`
    `void` | `testBigInt2()` Test BIGINT data type.
    `void` | `testColumnCollations()` Test column collations.
    `void` | `testEncoding1251Test1()` Test for bug [981958] PreparedStatement doesn't work correctly
    `void` | `testMetaData()`
    `void` | `testNullBoolean()` Test for bug [1042272] jTDS doesn't allow null value into Boolean.
    `void` | `testSQL2005MetaData()` Test for enhanced database metadata for SQL 2005.
    `void` | `testSqlVariant()`
    `void` | `testUserFn()`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tds8Test

          public Tds8Test(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### testBigInt1

          public void testBigInt1()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBigInt2

          public void testBigInt2()
                           throws java.lang.Exception

      Test BIGINT data type. Test for [989963] BigInt becomes Numeric
      Throws:
        `java.lang.Exception`

    - #### testSqlVariant

          public void testSqlVariant()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testUserFn

          public void testUserFn()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMetaData

          public void testMetaData()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNullBoolean

          public void testNullBoolean()
                               throws java.lang.Exception

      Test for bug [1042272] jTDS doesn't allow null value into Boolean.
      Throws:
        `java.lang.Exception`

    - #### testColumnCollations

          public void testColumnCollations()
                                    throws java.lang.Exception

      Test column collations.
      Throws:
        `java.lang.Exception`

    - #### testEncoding1251Test1

          public void testEncoding1251Test1()
                                     throws java.lang.Exception

      Test for bug [981958] PreparedStatement doesn't work correctly
      Throws:
        `java.lang.Exception`

    - #### testSQL2005MetaData

          public void testSQL2005MetaData()
                                   throws java.lang.Exception

      Test for enhanced database metadata for SQL 2005. E.g. distinguish between varchar(max) and text.
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013